


; MIOS Pedal Box / Pedal Board - pbx_tables_skeleton.asm v<version>
; For Pedal Box / Pedal Board v2.0 - January 2008
; ==========================================================================
;
;  Copyright (C) year  name  <email>
;  Licensed for personal non-commercial use only.
;  All other rights reserved.
;
; ==========================================================================

;; preload file for BankStick

#include "pbx_device.h"
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;; For Generic Device
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;       "Name = 16 Chars ", Channel, Type
INFO    "Device Name Here",   16,    DEVICE


 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;; Event Map
 ;;
 ;; The event map contains the status and parameter 1 byte of a midi event.
 ;; As well as 16 byte name, and an identifier for the type of function
 ;; that midi event serves - called paramerter 2 definition.
 ;;
 ;;
 ;; Name = Name assigned to control, MUST BE 16 characters long
 ;;
 ;; Status = Data type and channel USE CH. 1 ONLY
 ;;    80  =  Note Off Ch.1
 ;;    90  =  Note On Ch.1
 ;;    B0  =  Control Change Ch.1
 ;;    C0  =  Program (patch) change Ch.1
 ;;
 ;;
 ;;
 ;; param1 = Number of control / program change
 ;;
 ;; Event_handler = data map associataed with the value of parameter 2
 ;;   PROGRAM_CHANGE  =  Program Changes
 ;;   ON_OFF_ONLY     =  On / Off Only
 ;;   TAP_TEMPO       =  Tap Tempo display
 ;;   METER_ONLY      =  Display bar graph only
 ;;   METER_OFF       =  bar graph / 'Off' when 0
 ;;   METER_ON_OFF    =  bar graph / 'Off' when 0, and 'On' when 127
 ;;   METER_PAN       =  bar gragh centered in middle of screen
 ;;   VALUE           =  Displays number only
 ;;   USE_MAP_1       =  param2_lcd_value_map_1
 ;;   USE_MAP_2       =  param2_lcd_value_map_2
 ;;   USE_MAP_3       =  param2_lcd_value_map_3
 ;;   USE_MAP_4       =  param2_lcd_value_map_4
 ;;   USE_MAP_5       =  param2_lcd_value_map_5
 ;;   USE_MAP_6       =  param2_lcd_value_map_6
 ;;   USE_MAP_7       =  param2_lcd_value_map_7
 ;;   USE_MAP_8       =  param2_lcd_value_map_8
 ;;   USE_MAP_9       =  param2_lcd_value_map_9
 ;;   USE_MAP_10      =  param2_lcd_value_map_10
 ;;
 ;;
 ;; All messages are shown on matching incoming midi events
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 org   0x400020

;; 0- These are the CC's
;                    "Name        ", Status, Param1, Event_handler
  EVENT_MAP_ENTRY    "cc# 000         ", 0xb0, 0x00, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 001         ", 0xb0, 0x01, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 002         ", 0xb0, 0x02, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 003         ", 0xb0, 0x03, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 004         ", 0xb0, 0x04, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 005         ", 0xb0, 0x05, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 006         ", 0xb0, 0x06, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 007         ", 0xb0, 0x07, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 008         ", 0xb0, 0x08, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 009         ", 0xb0, 0x09, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 010         ", 0xb0, 0x0a, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 011         ", 0xb0, 0x0b, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 012         ", 0xb0, 0x0c, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 013         ", 0xb0, 0x0d, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 014         ", 0xb0, 0x0e, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 015         ", 0xb0, 0x0f, METER_ONLY

;; 16-
  EVENT_MAP_ENTRY    "cc# 016         ", 0xb0, 0x10, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 017         ", 0xb0, 0x11, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 018         ", 0xb0, 0x12, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 019         ", 0xb0, 0x13, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 020         ", 0xb0, 0x14, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 021         ", 0xb0, 0x15, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 022         ", 0xb0, 0x16, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 023         ", 0xb0, 0x17, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 024         ", 0xb0, 0x18, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 025         ", 0xb0, 0x19, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 026         ", 0xb0, 0x1a, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 027         ", 0xb0, 0x1b, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 028         ", 0xb0, 0x1c, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 029         ", 0xb0, 0x1d, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 030         ", 0xb0, 0x1e, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 031         ", 0xb0, 0x1f, METER_ONLY

;;32-
  EVENT_MAP_ENTRY    "cc# 032         ", 0xb0, 0x20, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 033         ", 0xb0, 0x21, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 034         ", 0xb0, 0x22, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 035         ", 0xb0, 0x23, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 036         ", 0xb0, 0x24, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 037         ", 0xb0, 0x25, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 038         ", 0xb0, 0x26, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 039         ", 0xb0, 0x27, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 040         ", 0xb0, 0x28, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 041         ", 0xb0, 0x29, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 042         ", 0xb0, 0x2a, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 043         ", 0xb0, 0x2b, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 044         ", 0xb0, 0x2c, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 045         ", 0xb0, 0x2d, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 046         ", 0xb0, 0x2e, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 047         ", 0xb0, 0x2f, METER_ONLY

;;48-
  EVENT_MAP_ENTRY    "cc# 048         ", 0xb0, 0x30, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 049         ", 0xb0, 0x31, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 050         ", 0xb0, 0x32, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 051         ", 0xb0, 0x33, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 052         ", 0xb0, 0x34, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 053         ", 0xb0, 0x35, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 054         ", 0xb0, 0x36, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 055         ", 0xb0, 0x37, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 056         ", 0xb0, 0x38, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 057         ", 0xb0, 0x39, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 058         ", 0xb0, 0x3a, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 059         ", 0xb0, 0x3b, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 050         ", 0xb0, 0x3c, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 061         ", 0xb0, 0x3d, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 062         ", 0xb0, 0x3e, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 063         ", 0xb0, 0x3f, METER_ONLY

;; 64-
  EVENT_MAP_ENTRY    "cc# 064         ", 0xb0, 0x40, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 065         ", 0xb0, 0x41, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 066         ", 0xb0, 0x42, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 067         ", 0xb0, 0x43, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 068         ", 0xb0, 0x44, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 069         ", 0xb0, 0x45, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 070         ", 0xb0, 0x46, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 071         ", 0xb0, 0x47, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 072         ", 0xb0, 0x48, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 073         ", 0xb0, 0x49, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 074         ", 0xb0, 0x4a, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 075         ", 0xb0, 0x4b, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 076         ", 0xb0, 0x4c, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 077         ", 0xb0, 0x4d, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 078         ", 0xb0, 0x4e, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 079         ", 0xb0, 0x4f, METER_ONLY

;; 80-
  EVENT_MAP_ENTRY    "cc# 080         ", 0xb0, 0x50, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 081         ", 0xb0, 0x51, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 082         ", 0xb0, 0x52, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 083         ", 0xb0, 0x53, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 084         ", 0xb0, 0x54, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 085         ", 0xb0, 0x55, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 086         ", 0xb0, 0x56, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 087         ", 0xb0, 0x57, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 088         ", 0xb0, 0x58, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 089         ", 0xb0, 0x59, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 090         ", 0xb0, 0x5a, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 091         ", 0xb0, 0x5b, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 092         ", 0xb0, 0x5c, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 093         ", 0xb0, 0x5d, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 094         ", 0xb0, 0x5e, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 095         ", 0xb0, 0x5f, METER_ONLY

;; 96-
  EVENT_MAP_ENTRY    "cc# 096         ", 0xb0, 0x60, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 097         ", 0xb0, 0x61, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 098         ", 0xb0, 0x62, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 099         ", 0xb0, 0x63, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 100         ", 0xb0, 0x64, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 101         ", 0xb0, 0x65, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 102         ", 0xb0, 0x66, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 103         ", 0xb0, 0x67, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 104         ", 0xb0, 0x68, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 105         ", 0xb0, 0x69, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 106         ", 0xb0, 0x6a, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 107         ", 0xb0, 0x6b, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 108         ", 0xb0, 0x6c, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 109         ", 0xb0, 0x6d, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 110         ", 0xb0, 0x6e, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 111         ", 0xb0, 0x6f, METER_ONLY

;; 112-
  EVENT_MAP_ENTRY    "cc# 112         ", 0xb0, 0x70, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 113         ", 0xb0, 0x71, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 114         ", 0xb0, 0x72, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 115         ", 0xb0, 0x73, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 116         ", 0xb0, 0x74, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 117         ", 0xb0, 0x75, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 118         ", 0xb0, 0x76, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 119         ", 0xb0, 0x77, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 120         ", 0xb0, 0x78, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 121         ", 0xb0, 0x79, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 122         ", 0xb0, 0x7a, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 123         ", 0xb0, 0x7b, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 124         ", 0xb0, 0x7c, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 125         ", 0xb0, 0x7d, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 126         ", 0xb0, 0x7e, METER_ONLY
  EVENT_MAP_ENTRY    "cc# 127         ", 0xb0, 0x7f, METER_ONLY


;;128-, program changes
  EVENT_MAP_ENTRY    "prog change# 000", 0xc0, 0x00, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 001", 0xc0, 0x01, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 002", 0xc0, 0x02, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 003", 0xc0, 0x03, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 004", 0xc0, 0x04, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 005", 0xc0, 0x05, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 006", 0xc0, 0x06, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 007", 0xc0, 0x07, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 008", 0xc0, 0x08, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 009", 0xc0, 0x09, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 010", 0xc0, 0x0a, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 011", 0xc0, 0x0b, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 012", 0xc0, 0x0c, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 013", 0xc0, 0x0d, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 014", 0xc0, 0x0e, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 015", 0xc0, 0x0f, PROGRAM_CHANGE

;; 143-
  EVENT_MAP_ENTRY    "prog change# 016", 0xc0, 0x10, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 017", 0xc0, 0x11, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 018", 0xc0, 0x12, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 019", 0xc0, 0x13, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 020", 0xc0, 0x14, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 021", 0xc0, 0x15, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 022", 0xc0, 0x16, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 023", 0xc0, 0x17, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 024", 0xc0, 0x18, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 025", 0xc0, 0x19, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 026", 0xc0, 0x1a, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 027", 0xc0, 0x1b, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 028", 0xc0, 0x1c, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 029", 0xc0, 0x1d, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 030", 0xc0, 0x1e, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 031", 0xc0, 0x1f, PROGRAM_CHANGE

;; 160-
  EVENT_MAP_ENTRY    "prog change# 032", 0xc0, 0x20, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 033", 0xc0, 0x21, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 034", 0xc0, 0x22, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 035", 0xc0, 0x23, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 036", 0xc0, 0x24, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 037", 0xc0, 0x25, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 038", 0xc0, 0x26, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 039", 0xc0, 0x27, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 040", 0xc0, 0x28, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 041", 0xc0, 0x29, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 042", 0xc0, 0x2a, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 043", 0xc0, 0x2b, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 044", 0xc0, 0x2c, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 045", 0xc0, 0x2d, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 046", 0xc0, 0x2e, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 047", 0xc0, 0x2f, PROGRAM_CHANGE

;; 176-
  EVENT_MAP_ENTRY    "prog change# 058", 0xc0, 0x30, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 059", 0xc0, 0x31, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 050", 0xc0, 0x32, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 051", 0xc0, 0x33, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 052", 0xc0, 0x34, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 053", 0xc0, 0x35, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 054", 0xc0, 0x36, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 055", 0xc0, 0x37, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 056", 0xc0, 0x38, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 057", 0xc0, 0x39, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 058", 0xc0, 0x3a, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 059", 0xc0, 0x3b, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 060", 0xc0, 0x3c, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 061", 0xc0, 0x3d, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 062", 0xc0, 0x3e, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 063", 0xc0, 0x3f, PROGRAM_CHANGE

;; 192-
  EVENT_MAP_ENTRY    "prog change# 064", 0xc0, 0x40, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 065", 0xc0, 0x41, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 066", 0xc0, 0x42, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 067", 0xc0, 0x43, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 068", 0xc0, 0x44, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 069", 0xc0, 0x45, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 070", 0xc0, 0x46, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 071", 0xc0, 0x47, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 072", 0xc0, 0x48, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 073", 0xc0, 0x49, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 074", 0xc0, 0x4a, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 075", 0xc0, 0x4b, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 076", 0xc0, 0x4c, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 077", 0xc0, 0x4d, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 078", 0xc0, 0x4e, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 079", 0xc0, 0x4f, PROGRAM_CHANGE

;; 208-
  EVENT_MAP_ENTRY    "prog change# 080", 0xc0, 0x50, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 081", 0xc0, 0x51, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 082", 0xc0, 0x52, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 083", 0xc0, 0x53, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 084", 0xc0, 0x54, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 085", 0xc0, 0x55, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 086", 0xc0, 0x56, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 087", 0xc0, 0x57, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 088", 0xc0, 0x58, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 089", 0xc0, 0x59, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 090", 0xc0, 0x5a, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 091", 0xc0, 0x5b, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 092", 0xc0, 0x5c, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 093", 0xc0, 0x5d, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 094", 0xc0, 0x5e, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 095", 0xc0, 0x5f, PROGRAM_CHANGE

;; 224-
  EVENT_MAP_ENTRY    "prog change# 096", 0xc0, 0x60, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 097", 0xc0, 0x61, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 098", 0xc0, 0x62, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 099", 0xc0, 0x63, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 100", 0xc0, 0x64, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 101", 0xc0, 0x65, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 102", 0xc0, 0x66, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 103", 0xc0, 0x67, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 104", 0xc0, 0x68, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 105", 0xc0, 0x69, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 106", 0xc0, 0x6a, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 107", 0xc0, 0x6b, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 108", 0xc0, 0x6c, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 109", 0xc0, 0x6d, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 110", 0xc0, 0x6e, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 111", 0xc0, 0x6f, PROGRAM_CHANGE

;; 240-
  EVENT_MAP_ENTRY    "prog change# 112", 0xc0, 0x70, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 113", 0xc0, 0x71, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 114", 0xc0, 0x72, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 115", 0xc0, 0x73, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 116", 0xc0, 0x74, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 117", 0xc0, 0x75, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 118", 0xc0, 0x76, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 119", 0xc0, 0x77, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 120", 0xc0, 0x78, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 121", 0xc0, 0x79, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 122", 0xc0, 0x7a, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 123", 0xc0, 0x7b, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 124", 0xc0, 0x7c, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 125", 0xc0, 0x7d, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 126", 0xc0, 0x7e, PROGRAM_CHANGE
  EVENT_MAP_ENTRY    "prog change# 127", 0xc0, 0x7f, PROGRAM_CHANGE


 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
 ;; Param2 Value Maps
 ;;
 ;; These tables allow specified controllers to display names for values
 ;; Controllers are assigned to these maps from the event_map table 'event handler'
 ;;
 ;; The LCD will display the name for the exact value match or no exact match - the listed value below
 ;;
 ;;
 ;; ENTRIES   ###   How many entries in table -  MAX 128
 ;;
 ;; Name = Name of value (MUST BE 16 CHARACTERS)
 ;;
 ;; param2 = Value of parameter 2 byte (0x00 - 0x7f)
 ;;
 ;;
 ;; When editing a table don't forget to change the ENTRIES to suit.
 ;;
 ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; 0x00 -- <event>

; param2_lcd_value_map_1
org 0x401420

  ENTRIES    10
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "                ", 0x00
  VALUE_MAP_ENTRY    "                ", 0x01
  VALUE_MAP_ENTRY    "                ", 0x02
  VALUE_MAP_ENTRY    "                ", 0x03
  VALUE_MAP_ENTRY    "                ", 0x04
  VALUE_MAP_ENTRY    "                ", 0x05
  VALUE_MAP_ENTRY    "                ", 0x06
  VALUE_MAP_ENTRY    "                ", 0x07
  VALUE_MAP_ENTRY    "                ", 0x08
  VALUE_MAP_ENTRY    "                ", 0x09

;; 0x00 -- <event>
; param2_lcd_value_map_2
org 0x401d22

  ENTRIES    10
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "                ", 0x00
  VALUE_MAP_ENTRY    "                ", 0x01
  VALUE_MAP_ENTRY    "                ", 0x02
  VALUE_MAP_ENTRY    "                ", 0x03
  VALUE_MAP_ENTRY    "                ", 0x04
  VALUE_MAP_ENTRY    "                ", 0x05
  VALUE_MAP_ENTRY    "                ", 0x06
  VALUE_MAP_ENTRY    "                ", 0x07
  VALUE_MAP_ENTRY    "                ", 0x08
  VALUE_MAP_ENTRY    "                ", 0x09



;; 0x00 -- <event>
; param2_lcd_value_map_3
org 0x402624

  ENTRIES    10
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "                ", 0x00
  VALUE_MAP_ENTRY    "                ", 0x01
  VALUE_MAP_ENTRY    "                ", 0x02
  VALUE_MAP_ENTRY    "                ", 0x03
  VALUE_MAP_ENTRY    "                ", 0x04
  VALUE_MAP_ENTRY    "                ", 0x05
  VALUE_MAP_ENTRY    "                ", 0x06
  VALUE_MAP_ENTRY    "                ", 0x07
  VALUE_MAP_ENTRY    "                ", 0x08
  VALUE_MAP_ENTRY    "                ", 0x09


;; 0x00 -- <event>
; param2_lcd_value_map_4
org 0x402f26

  ENTRIES    10
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "                ", 0x00
  VALUE_MAP_ENTRY    "                ", 0x01
  VALUE_MAP_ENTRY    "                ", 0x02
  VALUE_MAP_ENTRY    "                ", 0x03
  VALUE_MAP_ENTRY    "                ", 0x04
  VALUE_MAP_ENTRY    "                ", 0x05
  VALUE_MAP_ENTRY    "                ", 0x06
  VALUE_MAP_ENTRY    "                ", 0x07
  VALUE_MAP_ENTRY    "                ", 0x08
  VALUE_MAP_ENTRY    "                ", 0x09


;; 0x00 -- <event>
; param2_lcd_value_map_5
org 0x403828

  ENTRIES    10
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "                ", 0x00
  VALUE_MAP_ENTRY    "                ", 0x01
  VALUE_MAP_ENTRY    "                ", 0x02
  VALUE_MAP_ENTRY    "                ", 0x03
  VALUE_MAP_ENTRY    "                ", 0x04
  VALUE_MAP_ENTRY    "                ", 0x05
  VALUE_MAP_ENTRY    "                ", 0x06
  VALUE_MAP_ENTRY    "                ", 0x07
  VALUE_MAP_ENTRY    "                ", 0x08
  VALUE_MAP_ENTRY    "                ", 0x09


;; 0x00 -- <event>
; param2_lcd_value_map_6
org 0x40412a

  ENTRIES    10
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "                ", 0x00
  VALUE_MAP_ENTRY    "                ", 0x01
  VALUE_MAP_ENTRY    "                ", 0x02
  VALUE_MAP_ENTRY    "                ", 0x03
  VALUE_MAP_ENTRY    "                ", 0x04
  VALUE_MAP_ENTRY    "                ", 0x05
  VALUE_MAP_ENTRY    "                ", 0x06
  VALUE_MAP_ENTRY    "                ", 0x07
  VALUE_MAP_ENTRY    "                ", 0x08
  VALUE_MAP_ENTRY    "                ", 0x09


;; 0x00 -- <event>
; param2_lcd_value_map_7
org 0x404a2c

  ENTRIES    10
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "                ", 0x00
  VALUE_MAP_ENTRY    "                ", 0x01
  VALUE_MAP_ENTRY    "                ", 0x02
  VALUE_MAP_ENTRY    "                ", 0x03
  VALUE_MAP_ENTRY    "                ", 0x04
  VALUE_MAP_ENTRY    "                ", 0x05
  VALUE_MAP_ENTRY    "                ", 0x06
  VALUE_MAP_ENTRY    "                ", 0x07
  VALUE_MAP_ENTRY    "                ", 0x08
  VALUE_MAP_ENTRY    "                ", 0x09



;; 0x00 -- <event>
; param2_lcd_value_map_8
org 0x40530e

  ENTRIES    10
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "                ", 0x00
  VALUE_MAP_ENTRY    "                ", 0x01
  VALUE_MAP_ENTRY    "                ", 0x02
  VALUE_MAP_ENTRY    "                ", 0x03
  VALUE_MAP_ENTRY    "                ", 0x04
  VALUE_MAP_ENTRY    "                ", 0x05
  VALUE_MAP_ENTRY    "                ", 0x06
  VALUE_MAP_ENTRY    "                ", 0x07
  VALUE_MAP_ENTRY    "                ", 0x08
  VALUE_MAP_ENTRY    "                ", 0x09


;; 0x00 -- <event>
; param2_lcd_value_map_9
org 0x405c10

  ENTRIES    10
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "                ", 0x00
  VALUE_MAP_ENTRY    "                ", 0x01
  VALUE_MAP_ENTRY    "                ", 0x02
  VALUE_MAP_ENTRY    "                ", 0x03
  VALUE_MAP_ENTRY    "                ", 0x04
  VALUE_MAP_ENTRY    "                ", 0x05
  VALUE_MAP_ENTRY    "                ", 0x06
  VALUE_MAP_ENTRY    "                ", 0x07
  VALUE_MAP_ENTRY    "                ", 0x08
  VALUE_MAP_ENTRY    "                ", 0x09


;; 0x00 -- <event>
; param2_lcd_value_map_10
org 0x406512

  ENTRIES    10
;                    "Name            ", param2
  VALUE_MAP_ENTRY    "                ", 0x00
  VALUE_MAP_ENTRY    "                ", 0x01
  VALUE_MAP_ENTRY    "                ", 0x02
  VALUE_MAP_ENTRY    "                ", 0x03
  VALUE_MAP_ENTRY    "                ", 0x04
  VALUE_MAP_ENTRY    "                ", 0x05
  VALUE_MAP_ENTRY    "                ", 0x06
  VALUE_MAP_ENTRY    "                ", 0x07
  VALUE_MAP_ENTRY    "                ", 0x08
  VALUE_MAP_ENTRY    "                ", 0x09

END
