/*
 * MIOS Pedal Box / Pedal Board - pbx_midi_config.h
 * v2beta1a - January 2008
 * ==========================================================================
 *
 *  Copyright (C) 2008  Mick Crozier mcrozier@iinet.net.au
 *  Licensed for personal non-commercial use only.
 *  All other rights reserved.
 *
 * ==========================================================================
 */

///////////////////////////////////////////////////////////////////////////
// INTERNAL MIDI IMPLEMENTATION
//
//  status for all events is 0xb# ..   # = patch bankstick channel
//
//  E1 = parameter 1   E2 = parameter 2
///////////////////////////////////////////////////////////////////////////

// Enter setup with MIDI event
#define   EVENT_SETUP_E1        0x7f // 0x00 - 0x7f - Param1
#define   EVENT_SETUP_E2        0x7f // 0x00 - 0x7f - Param2

// AIN setup with MIDI event
#define   GLOBAL_SETUP_E1       0x7f // 0x00 - 0x7f - Param1
#define   GLOBAL_SETUP_E2       0x7d // 0x00 - 0x7f - Param2

// Scrren change with MIDI event
#define   SCREEN_CHANGE_E1      0x7f // 0x00 - 0x7f - Param1 Byte
#define   SCREEN_CHANGE_E2      0x7e // 0x00 - 0x7f - Param2 Byte

#define   PATCH_SETUP_E1        0x7f
#define   PATCH_SETUP_E2        0x7c

//Cue system
#define   CUE_E1                0x7a // Param1 byte of next/prev cue (param2 byte : 1 = previous, 2 = next)

#define   CUE_SELECT_E1         0x7a // Param1 byte to enter cue select mode
#define   CUE_SELECT_E2         0x7f // Param2 byte to enter cue select mode

// Relay midi events
#define   RELAY_E1              0x70  // The first relays trigger - midi param 1. (param2 byte : 0 = off, 127 = on)
                                      // Relays 2 - 8 will increase by 1 respectivly
